Subject: Re: [PATCH v7 3/3] [POWERPC] MPC832x_RDB: update dts to use SPI1in QE, register mmc_spi stub

From: Timur Tabi <[email-masked]>
Date: Mon, 03 Sep 2007 22:16:41 -0500

Segher Boessenkool wrote:

> This kind of thing is typically hardcoded into the firmware (just like
> the device tree is) -- just put it somewhere _next to_ the device tree,
> not _in_ it. 

What is next to the device tree?  AFAIK, there is no other standard data 
structure that could take place of the par_io nodes in the DTS.

I agree with your points, Segher, but replacing the par_io node with a bunch 
of par_io_config_pin() calls in the kernel is not really an improvement, I 
think.  Until we migrate the QE pin configuration code to U-boot, I suggest 
that we keep the device tree structure as-is and continue to use it for new 
code.  That way, it will all stay in one place.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale